libosmo-sigtran 2.2.1.64-e866 Osmocom SIGTRAN library

Macros | Enumerations | Functions | Variables
ss7_vty.h File Reference
`#include <stdbool.h>`
`#include <stdint.h>`
`#include <osmocom/vty/vty.h>`
`#include <osmocom/netif/stream.h>`
`#include <osmocom/sigtran/osmo_ss7.h>`
`#include "ss7_instance.h"`

Go to the source code of this file.

## Macros
#define | CS7_STR "ITU-T Signaling System 7\n"
#define | PC_STR "Point Code\n"
#define | INST_STR "An instance of the SS7 stack\n"
#define | XUA_VAR_STR "(sua|m3ua|ipa)"
#define | XUA_VAR_HELP_STR
#define | IPPROTO_VAR_STR "(sctp|tcp)"
#define | IPPROTO_VAR_HELP_STR
#define | QOS_CLASS_RANGE_STR "<0-7>"
#define | QOS_CLASS_RANGE_HELP_STR "QoS Class\n"
#define | QOS_CLASS_VAR_STR "(" QOS_CLASS_RANGE_STR "|default)"
#define | QOS_CLASS_VAR_HELP_STR

## Enumerations
enum | cs7_role_t { CS7_ROLE_SG , CS7_ROLE_ASP }

## Functions
int | parse_trans_proto (const char *protocol)
enum osmo_ss7_asp_protocol | parse_asp_proto (const char *protocol)
void | ss7_vty_init_node_asp (void)
void | ss7_vty_write_one_asp (struct vty *vty, struct osmo_ss7_asp *asp, bool show_dyn_config)
int | ss7_vty_node_asp_go_parent (struct vty *vty)
void | ss7_vty_init_node_as (void)
void | ss7_vty_write_one_as (struct vty *vty, struct osmo_ss7_as *as, bool show_dyn_config)
int | ss7_vty_node_as_go_parent (struct vty *vty)
void | ss7_vty_init_node_oxs (void)
void | ss7_vty_init_show_oxs (void)
void | ss7_vty_write_one_oxs (struct vty *vty, struct osmo_xua_server *xs)
int | ss7_vty_node_oxs_go_parent (struct vty *vty)

## Variables
void * | g_ctx
enum cs7_role_t | cs7_role
const struct value_string | ipproto_vals []

## Macro Definition Documentation

## ◆ CS7_STR

#define CS7_STR "ITU-T Signaling System 7\n"

## ◆ INST_STR

#define INST_STR "An instance of the SS7 stack\n"

## ◆ IPPROTO_VAR_HELP_STR

#define IPPROTO_VAR_HELP_STR

Value:
"SCTP (Stream Control Transmission Protocol)\n" \
"TCP (Transmission Control Protocol)\n"

## ◆ IPPROTO_VAR_STR

#define IPPROTO_VAR_STR "(sctp|tcp)"

## ◆ PC_STR

#define PC_STR "Point Code\n"

## ◆ QOS_CLASS_RANGE_HELP_STR

#define QOS_CLASS_RANGE_HELP_STR "QoS Class\n"

## ◆ QOS_CLASS_RANGE_STR

#define QOS_CLASS_RANGE_STR "<0-7>"

## ◆ QOS_CLASS_VAR_HELP_STR

#define QOS_CLASS_VAR_HELP_STR

Value:
QOS_CLASS_RANGE_HELP_STR \
"Default QoS Class (0)\n"
QOS_CLASS_RANGE_HELP_STR
#define QOS_CLASS_RANGE_HELP_STR
Definition: ss7_vty.h:41

## ◆ QOS_CLASS_VAR_STR

#define QOS_CLASS_VAR_STR "(" QOS_CLASS_RANGE_STR "|default)"

## ◆ XUA_VAR_HELP_STR

#define XUA_VAR_HELP_STR

Value:
"SCCP User Adaptation\n" \
"MTP3 User Adaptation\n" \
"IPA Multiplex (SCCP Lite)\n"

## ◆ XUA_VAR_STR

#define XUA_VAR_STR "(sua|m3ua|ipa)"

## Enumeration Type Documentation

## ◆ cs7_role_t

enum cs7_role_t

Enumerator
CS7_ROLE_SG |
CS7_ROLE_ASP |

## Function Documentation

## ◆ parse_asp_proto()

enum osmo_ss7_asp_protocol parse_asp_proto | ( | const char * | protocol | ) |

References osmo_ss7_asp_protocol_vals.

Referenced by DEFUN(), and DEFUN_ATTR().

## ◆ parse_trans_proto()

int parse_trans_proto | ( | const char * | protocol | ) |

References ipproto_vals.

Referenced by DEFUN(), and DEFUN_ATTR().

## ◆ ss7_vty_init_node_as()

void ss7_vty_init_node_as | ( | void |  | ) |

References as_node, cs7_role, CS7_ROLE_SG, and NULL.

Referenced by vty_init_shared().

## ◆ ss7_vty_init_node_asp()

void ss7_vty_init_node_asp | ( | void |  | ) |

References asp_node, asp_quirk_descs, asp_quirk_names, g_ctx, gen_asp_timer_lm_cmd_strs(), gen_asp_timer_xua_cmd_strs(), and NULL.

Referenced by vty_init_shared().

## ◆ ss7_vty_init_node_oxs()

void ss7_vty_init_node_oxs | ( | void |  | ) |

References NULL, and xua_node.

Referenced by vty_init_shared().

## ◆ ss7_vty_init_show_oxs()

void ss7_vty_init_show_oxs | ( | void |  | ) |

Referenced by vty_init_shared().

## ◆ ss7_vty_node_as_go_parent()

int ss7_vty_node_as_go_parent | ( | struct vty * | vty | ) |

References osmo_ss7_as::cfg, cs7_role, CS7_ROLE_ASP, osmo_ss7_as::dpc_enabled, osmo_ss7_as::inst, osmo_ss7_as::loadshare, osmo_ss7_as::mode, osmo_ss7_as::name, osmo_ss7_as::opc_enabled, OSMO_SS7_AS_TMOD_LOADSHARE, OSMO_SS7_ASP_PROT_IPA, OSMO_SS7_ASP_ROLE_ASP, OSMO_SS7_ASP_ROLE_IPSP, OSMO_SS7_ASP_ROLE_SG, osmo_ss7_pc_is_local(), osmo_ss7_routing_key::pc, osmo_ss7_as::pc_override, osmo_ss7_as::proto, osmo_ss7_as::routing_key, and ss7_as_get_local_role().

Referenced by osmo_ss7_vty_go_parent().

## ◆ ss7_vty_node_asp_go_parent()

int ss7_vty_node_asp_go_parent | ( | struct vty * | vty | ) |

References osmo_ss7_asp::cfg, osmo_ss7_asp::explicit_shutdown_state_by_vty_since_node_enter, osmo_ss7_asp::inst, and ss7_asp_restart_after_reconfigure().

Referenced by osmo_ss7_vty_go_parent().

## ◆ ss7_vty_node_oxs_go_parent()

int ss7_vty_node_oxs_go_parent | ( | struct vty * | vty | ) |

References osmo_xua_server::inst, ss7_xua_server_bind(), and ss7_xua_server_set_default_local_hosts().

Referenced by osmo_ss7_vty_go_parent().

## ◆ ss7_vty_write_one_as()

void ss7_vty_write_one_as | ( | struct vty * | vty,
|  | struct osmo_ss7_as * | as,
|  | bool | show_dyn_config
| ) |  |

References ss7_as_asp_assoc::as, ss7_as_asp_assoc::as_entry, ss7_as_asp_assoc::asp, osmo_ss7_as::assoc_asp_list, osmo_ss7_as::cfg, osmo_ss7_asp::cfg, osmo_ss7_routing_key::context, osmo_ss7_as::description, osmo_ss7_as::dpc, osmo_ss7_as::dpc_enabled, osmo_ss7_asp::dyn_allocated, osmo_ss7_as::inst, osmo_ss7_as::loadshare, osmo_ss7_as::mode, osmo_ss7_as::mode_set_by_vty, mtp_si_vals, osmo_ss7_as::name, osmo_ss7_asp::name, osmo_ss7_as::opc, osmo_ss7_as::opc_enabled, osmo_ss7_as::opc_shift, osmo_ss7_as::opc_sls, OSMO_SS7_AS_TMOD_LOADSHARE, osmo_ss7_as_traffic_mode_name(), osmo_ss7_asp_protocol_name(), osmo_ss7_pointcode_print(), osmo_ss7_routing_key::pc, osmo_ss7_as::pc_override, osmo_ss7_as::proto, osmo_ss7_as::qos_class, osmo_ss7_as::recovery_timeout_msec, osmo_ss7_as::rkm_dyn_allocated, osmo_ss7_as::routing_key, osmo_ss7_as::sccp_mode, osmo_ss7_routing_key::si, osmo_ss7_as::simple_client_allocated, osmo_ss7_asp::simple_client_allocated, osmo_ss7_as::sls_shift, and osmo_ss7_routing_key::ssn.

Referenced by write_one_cs7().

## ◆ ss7_vty_write_one_asp()

void ss7_vty_write_one_asp | ( | struct vty * | vty,
|  | struct osmo_ss7_asp * | asp,
|  | bool | show_dyn_config
| ) |  |

References osmo_ss7_asp::adm_state, asp_quirk_names, osmo_ss7_asp::cfg, osmo_ss7_asp::daud_act, osmo_ss7_asp::description, osmo_ss7_asp::dyn_allocated, osmo_ss7_asp_peer::host, osmo_ss7_asp_peer::host_cnt, osmo_ss7_asp_peer::idx_primary, ipproto_vals, osmo_ss7_asp::is_server, osmo_ss7_asp::keepalive_enable, osmo_ss7_asp::keepalive_intvl_present, osmo_ss7_asp::keepalive_intvl_value, osmo_ss7_asp::keepalive_probes_present, osmo_ss7_asp::keepalive_probes_value, osmo_ss7_asp::keepalive_time_present, osmo_ss7_asp::keepalive_time_value, osmo_ss7_asp::local, osmo_ss7_asp::local_asp_id, osmo_ss7_asp::local_asp_id_present, osmo_ss7_asp::max_attempts_present, osmo_ss7_asp::max_attempts_value, osmo_ss7_asp::max_init_timeo_present, osmo_ss7_asp::max_init_timeo_value, osmo_ss7_asp::max_instreams_present, osmo_ss7_asp::max_instreams_value, osmo_ss7_asp::name, osmo_ss7_asp::num_ostreams_present, osmo_ss7_asp::num_ostreams_value, OSMO_SS7_ASP_ADM_S_BLOCKED, OSMO_SS7_ASP_ADM_S_ENABLED, OSMO_SS7_ASP_ADM_S_SHUTDOWN, osmo_ss7_asp_protocol_name(), osmo_ss7_asp_role_names, osmo_ss7_asp_peer::port, osmo_ss7_asp::proto, osmo_ss7_asp::qos_class, osmo_ss7_asp::quirks, osmo_ss7_asp::remote, osmo_ss7_asp::role, osmo_ss7_asp::sctp_init, osmo_ss7_asp::simple_client_allocated, ss7_default_trans_proto_for_asp_proto(), osmo_ss7_asp::tcp, osmo_ss7_asp::trans_proto, osmo_ss7_asp::user_timeout_present, osmo_ss7_asp::user_timeout_value, write_asp_timers_lm(), and write_asp_timers_xua().

Referenced by write_one_cs7().

## ◆ ss7_vty_write_one_oxs()

void ss7_vty_write_one_oxs | ( | struct vty * | vty,
|  | struct osmo_xua_server * | xs
| ) |  |

References osmo_xua_server::accept_dyn_reg, osmo_xua_server::cfg, osmo_ss7_asp_peer::host, osmo_ss7_asp_peer::host_cnt, ipproto_vals, osmo_xua_server::local, osmo_xua_server::max_instreams_present, osmo_xua_server::max_instreams_value, osmo_xua_server::num_ostreams_present, osmo_xua_server::num_ostreams_value, osmo_ss7_asp_protocol_vals, osmo_ss7_asp_peer::port, osmo_xua_server::proto, osmo_xua_server::sctp_init, ss7_default_trans_proto_for_asp_proto(), and osmo_xua_server::trans_proto.

Referenced by write_one_cs7().

## Variable Documentation

## ◆ cs7_role

enum cs7_role_t cs7_role
| extern

Referenced by DEFUN_ATTR(), ipa_rx_msg_osmo_ext_tcap_routing(), osmo_ss7_vty_init_asp(), osmo_ss7_vty_init_sg(), ss7_vty_init_node_as(), ss7_vty_node_as_go_parent(), and write_one_cs7().

## ◆ g_ctx

void* g_ctx
| extern

Referenced by DEFUN_ATTR(), ss7_vty_init_node_asp(), and vty_init_shared().

## ◆ ipproto_vals

const struct value_string ipproto_vals[]
| extern

Referenced by parse_trans_proto(), ss7_vty_write_one_asp(), ss7_vty_write_one_oxs(), and vty_dump_xua_server().